> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trlyr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the projected state of charge of a virtual asset.

> DEPRECATED: This endpoint is deprecated and will be removed in a future version. To retrieve state of charge values, use the operational endpoint `GET /organisations/{organisationID}/virtual-assets/{virtualAssetID}/operational`.

Get the projected state of charge of a virtual asset, along with operational limits on that state of charge.

Returns a timeseries of the projected state of charge of a virtual asset as JSON. The points of the timeseries represent the state of charge of the virtual asset at the instant of the timestamp. This state of charge is measured relative to the `availableEnergyCapacity` of the virtual-asset, and is thus subject to change during periods of unavailability.

The boundaries represent operational limits within which the state of charge should be kept. If the projected `soc` moves outside these bounds then you should aim to change the schedule such that it returns to these limits.

The timeseries will cover the parsed start and end times. If none are provided, then the timeseries will cover a window of 72 hours of up to 3 days in the past and 4 days into the future.

Projected values are only guaranteed for up to 48h into the future.



## OpenAPI

````yaml https://api.sandbox.trlyr.com/docs/doc.json get /organisations/{organisationID}/virtual-assets/{virtualAssetID}/state-of-charge/projected
openapi: 3.1.0
info:
  description: >
    This API allows clients to manage virtual-assets and blocks on the terralayr
    system.


    A virtual asset is a virtual battery, it has static parameters that dictate
    how much power it can import / export, how much energy it can store, and how
    efficiently it charges / discharges. It also has a state of charge which
    changes as the virtual asset exports and imports power.


    A block represents a slice of the power capacity of a virtual asset over
    time, and has a schedule which can be updated to control what the
    virtual-asset will do.


    Virtual assets should be kept balanced: you should manage the schedule such
    that the such that state of charge at the end of its lifetime is 50%. It is
    possible to submit schedules that do not end at 50%, but the response will
    include information about how much imbalance is left.


    ### Authorization


    All the underneath requests require a Bearer-type `Authorization` Header
    i.e. in the form : `Authorization: Bearer <YOUR_TOKEN>`.


    To retrieve a valid token you must log in to our system using a
    password-username authentication as follows:


    ```

    POST https://api.sandbox.trlyr.com/auth/public/authenticate

    ```


    with the following JSON body:


    ```

    {
        "username": "YOUR_USERNAME",
        "password": "YOUR_PASSWORD"
    }

    ```


    Your username and password are the ones you created after receiving an
    invitation to join your organisation.


    You should receive a JSON response body from which you can extract your
    token under `access_token`.


    If you have any questions, don't hesitate to contact our account manager at
    the following address: support@trlyr.com.
  title: terralayr API
  version: 1.11.3
servers:
  - description: Production API
    url: https://api.trlyr.com
  - description: Sandbox API
    url: https://api.sandbox.trlyr.com
security: []
tags:
  - name: virtual-assets
  - name: afrr
  - name: fcr
  - name: ancillary
  - name: blocks
externalDocs:
  description: ''
  url: ''
paths:
  /organisations/{organisationID}/virtual-assets/{virtualAssetID}/state-of-charge/projected:
    get:
      tags:
        - virtual-assets
      summary: Get the projected state of charge of a virtual asset.
      description: >-
        DEPRECATED: This endpoint is deprecated and will be removed in a future
        version. To retrieve state of charge values, use the operational
        endpoint `GET
        /organisations/{organisationID}/virtual-assets/{virtualAssetID}/operational`.


        Get the projected state of charge of a virtual asset, along with
        operational limits on that state of charge.


        Returns a timeseries of the projected state of charge of a virtual asset
        as JSON. The points of the timeseries represent the state of charge of
        the virtual asset at the instant of the timestamp. This state of charge
        is measured relative to the `availableEnergyCapacity` of the
        virtual-asset, and is thus subject to change during periods of
        unavailability.


        The boundaries represent operational limits within which the state of
        charge should be kept. If the projected `soc` moves outside these bounds
        then you should aim to change the schedule such that it returns to these
        limits.


        The timeseries will cover the parsed start and end times. If none are
        provided, then the timeseries will cover a window of 72 hours of up to 3
        days in the past and 4 days into the future.


        Projected values are only guaranteed for up to 48h into the future.
      parameters:
        - description: Access token
          in: header
          name: Authorization
          required: true
          schema:
            default: Bearer <access token value>
            type: string
        - description: Organisation ID
          in: path
          name: organisationID
          required: true
          schema:
            type: string
        - description: Virtual Asset ID
          in: path
          name: virtualAssetID
          required: true
          schema:
            type: string
        - description: Query start time
          in: query
          name: start
          required: true
          schema:
            type: string
        - description: Query end time
          in: query
          name: end
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StateOfChargeProjection'
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      deprecated: true
components:
  schemas:
    StateOfChargeProjection:
      properties:
        stateOfChargePercentageTimeseries:
          items:
            $ref: '#/components/schemas/StateOfChargePoint'
          type: array
          uniqueItems: false
      required:
        - stateOfChargePercentageTimeseries
      type: object
    StateOfChargePoint:
      properties:
        boundaries:
          $ref: '#/components/schemas/StateOfChargeBoundaries'
        soc:
          example: 50
          type: number
        time:
          example: '2023-11-11T14:30:00Z'
          format: dateTime
          type: string
      required:
        - boundaries
        - soc
        - time
      type: object
    StateOfChargeBoundaries:
      properties:
        lower:
          example: 0
          type: number
        upper:
          example: 100
          type: number
      required:
        - lower
        - upper
      type: object

````